Skip to content

View chapter roster

Request

Allows for a portal user to view the roster

Security
knox-authorizer
Path
tenantIdstringrequired

The tenant

chapterIdstringrequired

The chapter id

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned

exclusiveStartKeystring

If paging, this allows you to return the next set of results

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/chapters/{tenantId}/roster/{chapterId}?fields=string&exclusiveStartKey=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The records were retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
ItemsArray of objects
LastEvaluatedKeystring
Response
{ "Items": [ {} ], "LastEvaluatedKey": "string" }